Bug 1652650 (CVE-2018-19406) - CVE-2018-19406 kernel: kvm: NULL pointer dereference in kvm_pv_send_ipi in arch/x86/kvm/lapic.c
Summary: CVE-2018-19406 kernel: kvm: NULL pointer dereference in kvm_pv_send_ipi in ar...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19406
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1653344 1653345 1653346
Blocks: 1652659
TreeView+ depends on / blocked
 
Reported: 2018-11-22 14:24 UTC by Laura Pardo
Modified: 2019-09-29 15:03 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference security flaw was found in the Linux kernel in kvm_pv_send_ipi() in arch/x86/kvm/lapic.c. This allows local users with certain privileges to cause a denial of service via a crafted system call to the KVM subsystem.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:06:13 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-11-22 14:24:48 UTC
A NULL pointer dereference security flaw was found in the Linux kernel in kvm_pv_send_ipi() in arch/x86/kvm/lapic.c. This allows local users with certain privileges to cause a denial of service via a crafted system call to the KVM subsystem.

References:

https://marc.info/?t=154270881000036&r=1&w=2

https://lkml.org/lkml/2018/11/20/411

Introduced by:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=4180bf1b655a791a0a6ef93a2ffffc762722c782

A suggested patch:

https://marc.info/?l=linux-kernel&m=154270004301496&w=2

Comment 3 Vladis Dronov 2018-11-26 15:35:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1653346]

Comment 5 Product Security DevOps Team 2019-07-12 13:06:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19406


Note You need to log in before you can comment on or make changes to this bug.